.include "m8def.inc"  				;  
									;
.def     Temp=R16  					;
.def     SubSecondCount=R17			; 
.def     Temp1=R18					;
.def     Temp2=R19					;
.def     Temp3=R20					;
.def     Temp4=R21					;
.def     LED=R22					;
.def     Time1=R23					;
.def     Time2=R24					;
.def     Time3=R25					;


.cseg
.org 0

;************_   _************
			rjmp 	Reset			;
			nop						;
			nop						;
			nop						;
			nop						;
			nop						;
			nop						;
			nop						;
			nop						;
			rjmp TIMER0_OVF			;
									;         
Reset:    							;
;    	;
			ldi Temp, low(RAMEND)  	; 
           	out SPL, Temp  			; 
           	ldi Temp, high(RAMEND)  ; 
           	out SPH, Temp  			; 

			
			ser Temp				;        0
            out DDRB,Temp			;
			clr Temp				;
            out PORTB,Temp			;
   
            ldi Temp,4				;   256 
            out TCCR0,Temp			;     8      8192 
;     122,         256-122=134
			ldi	SubSecondCount, 134	;		
   
            ldi Temp,0b00000001   	;    0
            out TIMSK,Temp			;
	        sei 					;  
          
           

clr Temp1
clr Temp2
clr Temp3

ldi LED,0
Begin: 

			cpi		Led,	0
			brne	b1
;   -   (      0)
			cbi		PORTB,	0
			rjmp	begin
b1:
;   -  
			sbi		PORTB,	0
			rjmp Begin


;************_   _************
   
          
;************_   Timer0 overflow _************          
TIMER0_OVF: 
			push	Temp		;   
			push	r15			;   
			in		r15,	$3f	;  
			inc		SubSecondCount	;  
			cpi		SubSecondCount, 0
			brne	t1			;,    
;    ,    
			ldi		Temp,	1	;
			eor		Led, 	Temp	;    -   
									;    -   
			ldi	SubSecondCount, 134	; 
t1:
;   
			out		$3f,	r15		;  
			pop		r15				;
			pop		Temp			;
			reti					;
